Get Transaction By Id

Use this API to retrieve the full details of a specific completed transaction for a savings account.

Prerequisites

  • Pass the savingsaccountId as a path parameter.
  • Pass the transactionId as a path parameter. Use the Get Completed Transactions endpoint to obtain valid transaction IDs.
  • Pass associations=includeEnrichedData as a required query parameter to include enriched transaction details in the response.

Example Request

GET /v1/savingsaccounts/{savingsaccountId}/transactions/{transactionId}?associations=includeEnrichedData

What's Returned

The response includes the full transaction record such as:

  • Transaction type, amount, date, and currency
  • Running account balance after the transaction
  • Enriched data (when associations=includeEnrichedData is set) including counterparty details and payment metadata
Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
integer
required
Defaults to 12

The Id associated with the transaction.
Example: 12

integer
required
Defaults to 12

The associated account Id.

Query Params
string
required
Defaults to includeEnrichedData

Specifies the type of associations to include in the response.
Example: includeEnrichedData

Headers
string
required
Defaults to z01j3e71zd6zkq908vyf5861a8

The ID of your banking instance visible in the MBANQ Console.

string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Bearer
JWT
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json